<?php
/**
 * Relation Controller for Book Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo "Recipe: Recipe controller <br />";
jimport( 'joomla.utilities.utility' );


/**
 * Book Controller
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class RecipesControllerRecipe extends RecipesController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask( 'add'  , 	'edit' );
		$this->registerTask( 'unpublish', 	'publish');
		JUtility::dump($this->registerTask);
	}

	/**
	 * display the edit form
	 * @return void
	 */
	function edit()
	{
		JRequest::setVar( 'view', 'recipe' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);

		parent::display();
	}

	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('recipe');

		if ($model->store($post)) {
			$msg = JText::_( 'Recipe Saved!' );
		} else {
			$msg = JText::_( 'Error Saving Recipe' );
		}

		// Check the table in so it can be edited.... we are done with it anyway
		$link = 'index.php?option=com_recipe&task=recipe';
		$this->setRedirect($link, $msg);
	}

	/**
	 * remove record(s)
	 * @return void
	 */
	function remove()
	{
		$model = $this->getModel('recipe');
		if(!$model->delete()) {
			$msg = JText::_( 'Error: One or More Recipes Could not be Deleted' );
		} else {
			$msg = JText::_( 'Recipe(s) Deleted' );
		}

		$this->setRedirect( 'index.php?option=com_recipe&task=recipe', $msg );
	}
	
	/**
	* Publishes or Unpublishes one or more records
	* @param array An array of unique category id numbers
	* @param integer 0 if unpublishing, 1 if publishing
	* @param string The current url option
	*/
	function publish()
	{
		// Initialize variables
		$db			=& JFactory::getDBO();
		$user		=& JFactory::getUser();
		$cid		= JRequest::getVar( 'cid', array(), 'post', 'array' );
		$task		= JRequest::getCmd( 'task' );
		$publish	= ($task == 'publish');
		$n			= count( $cid );

		if (empty( $cid )) {
			return JError::raiseWarning( 500, JText::_( 'No item(s) selected' ) );
		}

		JArrayHelper::toInteger( $cid );
		$cids = implode( ',', $cid );

		$query = 'UPDATE #__recipe'
		. ' SET published = ' . (int) $publish
		. ' WHERE id IN ( '. $cids .' )'
		;
		$db->setQuery( $query );
		if (!$db->query()) {
			return JError::raiseWarning( 500, $row->getError() );
		}
		$msg = JText::sprintf('Item(s) successfully Published', $n );
		$this->setRedirect( 'index.php?option=com_recipe&task=recipe', $msg );

	}
	
	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_recipe&task=recipe', $msg );
	}
}