DROP TABLE IF EXISTS `#__recipe`;
DROP TABLE IF EXISTS `#__recipe_book`;
DROP TABLE IF EXISTS `#__recipe_country`;

CREATE TABLE `#__recipe` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `category` varchar(50) NOT NULL,
  `title` varchar(150) NOT NULL,
  `image` varchar(255) default NULL,
  `ingredients` varchar(255) NOT NULL,
  `preparation` varchar(255) NOT NULL,
  `portion` int(4) NOT NULL,
  `time_make` time NOT NULL,
  `time_cook` time NOT NULL,
  `skill` tinyint(4) NOT NULL,
  `time_wait` time NOT NULL,
  `cost` decimal(5,2) NOT NULL,
  `points` decimal(5,2) NOT NULL,
  `country` text(50) default NULL,
  `datecre` date NOT NULL,
  `datemaj` timestamp NOT NULL default '0000-00-00 00:00:00' on update CURRENT_TIMESTAMP,
  `username` varchar(150) NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `index_category` (`category`),
  KEY `index_name` (`name`),
  KEY `index_ingredients` (`ingredients`),
  KEY `index_title` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `#__recipe` (`id`, `name`, `category`, `title`, `image`, `ingredients`, `preparation`, `portion`, `time_make`, `time_cook`, `skill`, `time_wait`, `cost`, `points`, `datecre`, `datemaj`, `username`, `published`) VALUES 
(1, 'Macaron', '', '', NULL, 'lait', 'faites chauffer le four', 255, '00:00:00', '00:00:00', 0, '00:00:00', 0.00, 0.00, '0000-00-00', '2010-05-10 13:56:04', '', 1),
(2, 'Choucroute', '', '', NULL, 'saucisse', 'bain-marie.', 0, '00:00:00', '00:00:00', 0, '00:00:00', 0.00, 0.00, '0000-00-00', '0000-00-00 00:00:00', '', 1);
 
CREATE TABLE `#__recipe_book` (
 `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(25) NOT NULL,
  `author` varchar(25) NOT NULL,
  `collection` varchar(25) NOT NULL,
  `editor` varchar(25) NOT NULL,
  `identifiant` varchar(20) NOT NULL,
  `location` varchar(25) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;
INSERT INTO `#__recipe_book` (`title`,`author`,`collection`,`editor`,`identifiant`,`location`,`published`) VALUES
 ('Curries','Mark Twain','Recipes of the word','Marabout','123456','library',1);
 INSERT INTO `#__recipe_book` (`title`,`author`,`collection`,`editor`,`identifiant`,`location`,`published`) VALUES
 ('Rices for all','Edgar A. Poe','Recipes of the word','Marabout','123457','library',1); 

CREATE TABLE `#__recipe_country` 
(
 `id` int(11) NOT NULL auto_increment,
 `country` varchar(50) NOT NULL,
 `pays` varchar(50) NOT NULL,
   UNIQUE KEY `id` (`id`),
   KEY `country` (`country`),
   KEY `pays` (`pays`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;


INSERT INTO `#__recipe_country` (`country`, `pays`) VALUES
("Afganistan","Afganistan"),
("Albania","Albanie"),
("Algeria","Algrie"),
("American Samoa","Samoa Amricaine "),
("Andorra","Andorre"),
("Angola","Angola"),
("Anguilla","Anguille"),
("Antigua & Barbuda","Antigua & Barbuda"),
("Argentina","Argentine"),
("Armenia","Armenie"),
("Aruba","Arubie"),
("Australia","Australie"),
("Austria","Autriche"),
("Azerbaijan","Azerbaijan"),
("Bahamas","Bahamas"),
("Bahrain","Bahrain"),
("Bangladesh","Bangladesh"),
("Barbados","Barbados"),
("Belarus","Belarusse"),
("Belgium","Belgique"),
("Belize","Belize"),
("Benin","Benin"),
("Bermuda","Bermudes"),
("Bhutan","Bhutan"),
("Bolivia","Bolivie"),
("Bonaire","Bonaire"),
("Bosnia & Herzegovina","Bosnie & Herzegovine"),
("Botswana","Botswana"),
("Brazil","Brsil"),
("British Indian Ocean Ter","Ter Britanique de l'Ocan Indien"),
("Brunei","Brunei"),
("Bulgaria","Bulgarie"),
("Burkina Faso","Burkina Faso"),
("Burundi","Burundi"),
("Cambodia","Cambodge"),
("Cameroon","Cameroun"),
("Canada","Canada"),
("Canary Islands","Iles Canaries"),
("Cape Verde","Cape Verde"),
("Cayman Islands","Iles Cayman"),
("Central African Republic","Republique Centre Africaine"),
("Chad","Tchad"),
("Channel Islands","Iles Channel"),
("Chile","Chili"),
("China","Chine"),
("Christmas Island","Iles Christmas"),
("Cocos Island","Iles Cocos"),
("Colombia","Colombie"),
("Comoros","Comoros"),
("Congo","Congo"),
("Cook Islands","Iles Cook"),
("Costa Rica","Costa Rica"),
("Cote DIvoire","Cote DIvoire"),
("Croatia","Croatie"),
("Cuba","Cuba"),
("Curacao","Curacao"),
("Cyprus","Cypre"),
("Czech Republic","Republique Tchque"),
("Denmark","Danemark"),
("Djibouti","Djibouti"),
("Dominica","Dominique"),
("Dominican Republic","Republique Dominicaine"),
("East Timor","Timor de l'Est'"),
("Ecuador","Equateur"),
("Egypt","Egypte"),
("El Salvador","Le Salvador"),
("Equatorial Guinea","Guine Equatoriale"),
("Eritrea","Eritre"),
("Estonia","Estonie"),
("Ethiopia","Ethiopie"),
("Falkland Islands","Iles Falkland"),
("Faroe Islands","Iles Faroe"),
("Fiji","Fiji"),
("Finland","Finlande"),
("France","France"),
("French Guiana","Guyanne franaise"),
("French Polynesia","Polynesie  franaise"),
("French Southern Ter","Ter Sud-est Franais"),
("Gabon","Gabon"),
("Gambia","Gambie"),
("Georgia","Georgie"),
("Germany","Allemagne"),
("Ghana","Ghana"),
("Gibraltar","Gibraltar"),
("Great Britain","Grande-Bretagne"),
("Greece","Grce"),
("Greenland","Greenland"),
("Grenada","Grenade"),
("Guadeloupe","Guadeloupe"),
("Guam","Guam"),
("Guatemala","Guatemala"),
("Guinea","Guine"),
("Guyana","Guyanne"),
("Haiti","Haiti"),
("Hawaii","Hawaii"),
("Honduras","Honduras"),
("Hong Kong","Hong Kong"),
("Hungary","Hongrie"),
("Iceland","Iceland"),
("India","Inde"),
("Indonesia","Indonesie"),
("Iran","Iran"),
("Iraq","Iraq"),
("Ireland","Irelande"),
("Isle of Man","Isle de Man"),
("Israel","Isral"),
("Italy","Italie"),
("Jamaica","Jamaique"),
("Japan","Japon"),
("Jordan","Jordannie"),
("Kazakhstan","Kazakhstan"),
("Kenya","Kenya"),
("Kiribati","Kiribati"),
("Korea North","Core du Nord"),
("Korea South","Core du Sud"),
("Kuwait","Koweit"),
("Kyrgyzstan","Kyrgyzstan"),
("Laos","Laos"),
("Latvia","Lettonie"),
("Lebanon","Liban"),
("Lesotho","Lesotho"),
("Liberia","Liberia"),
("Libya","Libye"),
("Liechtenstein","Liechtenstein"),
("Lithuania","Lithuanie"),
("Luxembourg","Luxembourg"),
("Macau","Macau"),
("Macedonia","Macedoine"),
("Madagascar","Madagascar"),
("Malaysia","Malaysie"),
("Malawi","Malawi"),
("Maldives","Maldives"),
("Mali","Mali"),
("Malta","Malte"),
("Marshall Islands","Iles Marshall"),
("Martinique","Martinique"),
("Mauritania","Mauritanie"),
("Mauritius","Ile Maurice"),
("Mayotte","Mayotte"),
("Mexico","Mexique"),
("Midway Islands","Ile Midway"),
("Moldova","Moldavie"),
("Monaco","Monaco"),
("Mongolia","Mongolie"),
("Montserrat","Montserrat"),
("Morocco","Maroc"),
("Mozambique","Mozambique"),
("Myanmar","Myanmar"),
("Nambia","Nambie"),
("Nauru","Nauru"),
("Nepal","Nepal"),
("Netherland Antilles","Antilles Hollandaises"),
("Netherlands","Hollande"),
("Nevis","Nevis"),
("New Caledonia","Nouvelle Caledonie"),
("New Zealand","Nouvelle Zlande"),
("Nicaragua","Nicaragua"),
("Niger","Niger"),
("Nigeria","Nigeria"),
("Niue","Niue"),
("Norfolk Island","Iles Norfolk"),
("Norway","Norvge"),
("Oman","Oman"),
("Pakistan","Pakistan"),
("Palau Island","Ile Palau"),
("Palestine","Palestine"),
("Panama","Panama"),
("Papua New Guinea","Papuasie Nouvelle Guine"),
("Paraguay","Paraguay"),
("Peru","Perou"),
("Philippines","Philippines"),
("Pitcairn Island","Ile Pitcairn"),
("Poland","Pologne"),
("Portugal","Portugal"),
("Puerto Rico","Puerto Rico"),
("Qatar","Qatar"),
("Reunion","Reunion"),
("Romania","Romanie"),
("Russia","Russie"),
("Rwanda","Rwanda"),
("St Barthelemy","St Barthelemy"),
("St Eustatius","St Eustatius"),
("St Helena","St Hlne"),
("St Kitts-Nevis","St Kitts-Nevis"),
("St Lucia","St Lucie"),
("St Maarten","St Martin"),
("St Pierre & Miquelon","St Pierre & Miquelon"),
("St Vincent & Grenadines","St Vincent & Grenadines"),
("Saipan","Saipan"),
("Samoa","Samoa"),
("Samoa American","Samoa Americain"),
("San Marino","San Marino"),
("Sao Tome & Principe","Sao Tome & Principe"),
("Saudi Arabia","Arabie Soudite"),
("Senegal","Sngal"),
("Seychelles","Seychelles"),
("Serbia & Montenegro","Serbie & Montenegro"),
("Sierra Leone","Sierra Leone"),
("Singapore","Singapour"),
("Slovakia","Slovaquie"),
("Slovenia","Slovnie"),
("Solomon Islands","Iles Salomon"),
("Somalia","Somalie"),
("South Africa","Afrique du sud"),
("Spain","Espagne"),
("Sri Lanka","Sri Lanka"),
("Sudan","Sudan"),
("Suriname","Suriname"),
("Swaziland","Swaziland"),
("Sweden","Sude"),
("Switzerland","Suisse"),
("Syria","Syrie"),
("Tahiti","Tahiti"),
("Taiwan","Taiwan"),
("Tajikistan","Tajikistan"),
("Tanzania","Tanzanie"),
("Thailand","Thailand"),
("Togo","Togo"),
("Tokelau","Tokelau"),
("Tonga","Tonga"),
("Trinidad & Tobago","Trinidad & Tobago"),
("Tunisia","Tunisie"),
("Turkey","Turquie"),
("Turkmenistan","Turkmenistan"),
("Turks & Caicos Is","Iles Turks & Caicos"),
("Tuvalu","Tuvalu"),
("Uganda","Uganda"),
("Ukraine","Ukraine"),
("United Arab Emirates","Emirats Arabes Unis"),
("United Kingdom","Royaume Unis"),
("United States of America","Etats-unis d'Amrique"),
("Uruguay","Uruguay"),
("Uzbekistan","Uzbekistan"),
("Vanuatu","Vanuatu"),
("Vatican City State","Etat de la cit du Vatican"),
("Venezuela","Vnzuela"),
("Vietnam","Vietnam"),
("Virgin Islands (Brit)","Iles Vierges (Brit)"),
("Virgin Islands (USA)","Iles Vierges (USA)"),
("Wake Island","Ile Wake"),
("Wallis & Futana Is","Wallis & Futana Is"),
("Yemen","Yemen"),
("Zaire","Zaire"),
("Zambia","Zambie"),
("Zimbabwe","Zimbabwe");
