<?php
/**
 * Book for Book Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo "Recipe: Recipe models <br />";

jimport('joomla.application.component.model');

/**
 * Book Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class RecipesModelRecipe extends JModel
{
	/**
	 * Constructor that retrieves the ID from the request
	 *
	 * @access	public
	 * @return	void
	 */
	function __construct()
	{
		parent::__construct();
		
		$array = JRequest::getVar('cid',  0, '', 'array');
		$this->setId((int)$array[0]);
	}

	/**
	 * Method to set the book identifier
	 *
	 * @access	public
	 * @param	int Book identifier
	 * @return	void
	 */
	function setId($id)
	{
		// Set id and wipe data
		$this->_id		= $id;
		$this->_data	= null;
	}

	/**
	 * Method to get a book
	 * @return object with data
	 */
	function &getData()
	{
		// Load the data
		echo "getData ".$this->_id."<br />";
		
		if (empty( $this->_data )) {
			$query = ' SELECT * FROM #__recipe '.
					'  WHERE id = '.$this->_id;
			$this->_db->setQuery( $query );
			$this->_data = $this->_db->loadObject();			
			$this->setBooks();			
			$this->setCountries();			
		}
		if (!$this->_data) {
			$this->_data = new stdClass();
			$this->_data->id 			= 0;
			$this->_data->name  		= NULL;
			$this->_data->category		= NULL;
			$this->_data->title  		= NULL;
			$this->_data->image  		= NULL;
			$this->_data->ingredients	= NULL;
			$this->_data->preparation  	= NULL;
			$this->_data->portion 		= NULL;
			$this->_data->time_make  	= NULL;
			$this->_data->time_cook  	= NULL;
			$this->_data->time_wait  	= NULL;
			$this->_data->skill  		= NULL;
			$this->_data->cost 			= "0,00";
			$this->_data->points 		= "0,00";
			$this->_data->&quot;  		= NULL;
			$this->_data->datemaj  		= NULL;
			$this->_data->username  	= NULL;
			$this->_data->published  	= 0;
			$this->setBooks();
			$this->setCountries();						
		}

		$recipe = $this->_data;
		echo "Data Recipe <br />";
		var_dump($recipe);
		echo "<br />";

		return $this->_data;
	}

	function setBooks()
	{
		// Load the data
		$this->_db =& JFactory::getDBO();
		$query = ' SELECT b.id, b.title FROM #__recipe_book AS b ORDER BY b.title DESC';
		    	// .'  WHERE published = "1" '	
		    	// .'  ORDER BY b.title ASC';	
		$this->_db->setQuery( $query );
		$this->_data->book = $this->_db->loadObjectList();
		
		$recipe = $this->_data->book;
		
		echo "<h1>Model Recipe Data </h1><br />".$query."<br />";
		var_dump($recipe);
		echo "<br />";	
	}

	function setCountries()
	{
		// Load the data
		$this->_db =& JFactory::getDBO();
		// User's 'Language is : 
		$lang =& JFactory::getLanguage();
		$language = $lang->getTag();
		echo "<p>Your language is set to {$language}.</p>";

		if ($language=="en-FR")
		{
			$query = 'SELECT id, pays FROM #__recipe_country ORDER BY pays ASC';
		} else 
		{
			$query = 'SELECT id, country FROM #__recipe_country ORDER BY country ASC';
		}
		$this->_db->setQuery( $query );
		$this->_data->country = $this->_db->loadObjectList();
		
		$countries = $this->_data->book;
		
		echo "<h1>Model countries Data </h1><br />".$query."<br />";
		var_dump($countries);
		echo "<br />";	
	}

	/**
	 * Method to store a record
	 *
	 * @access	public
	 * @return	boolean	True on success
	 */
	function store()
	{	
		$row =& $this->getTable('recipe');

		$data = JRequest::get( 'post' );
		echo "Post: <br />";
		var_dump($data);
		echo "<br />";

		// Bind the form fields to the book table
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Make sure the book record is valid
		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the web link table to the database
		if (!$row->store()) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}

		return true;
	}

	/**
	 * Method to delete record(s)
	 *
	 * @access	public
	 * @return	boolean	True on success
	 */
	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );

		$row =& $this->getTable();

		if (count( $cids )) {
			foreach($cids as $cid) {
				if (!$row->delete( $cid )) {
					$this->setError( $row->getErrorMsg() );
					return false;
				}
			}
		}
		return true;
	}
}